//
// This file was generated by the Eclipse Implementation of JAXB, v3.0.0 
// See https://eclipse-ee4j.github.io/jaxb-ri 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2023.08.30 at 10:47:28 AM CEST 
//


package se.arbetsformedlingen.wsdl;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for JobSituation complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="JobSituation"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="JobSituation_AISID" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="JobSituation_AIS" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="Term" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="SortOrder" type="{http://www.w3.org/2001/XMLSchema}int"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "JobSituation", namespace = "urn:ams.se:Taxonomy", propOrder = {
    "jobSituationAISID",
    "jobSituationAIS",
    "term",
    "sortOrder"
})
public class JobSituation {

    @XmlElement(name = "JobSituation_AISID")
    protected String jobSituationAISID;
    @XmlElement(name = "JobSituation_AIS")
    protected String jobSituationAIS;
    @XmlElement(name = "Term")
    protected String term;
    @XmlElement(name = "SortOrder")
    protected int sortOrder;

    /**
     * Gets the value of the jobSituationAISID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getJobSituationAISID() {
        return jobSituationAISID;
    }

    /**
     * Sets the value of the jobSituationAISID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setJobSituationAISID(String value) {
        this.jobSituationAISID = value;
    }

    /**
     * Gets the value of the jobSituationAIS property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getJobSituationAIS() {
        return jobSituationAIS;
    }

    /**
     * Sets the value of the jobSituationAIS property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setJobSituationAIS(String value) {
        this.jobSituationAIS = value;
    }

    /**
     * Gets the value of the term property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTerm() {
        return term;
    }

    /**
     * Sets the value of the term property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTerm(String value) {
        this.term = value;
    }

    /**
     * Gets the value of the sortOrder property.
     * 
     */
    public int getSortOrder() {
        return sortOrder;
    }

    /**
     * Sets the value of the sortOrder property.
     * 
     */
    public void setSortOrder(int value) {
        this.sortOrder = value;
    }

}
